Register a new OAuth client
/oauth/registerDynamic Client Registration endpoint (RFC 7591). Allows clients to register themselves and obtain a client_id for use in the authorization code flow.
Sample request12345678curl --request POST 'https://api.eu-west-1.aws.dash0.com/oauth/register' \--header 'Content-Type: application/json' \--data-raw '{"client_name": "example","redirect_uris": ["https://example.com"]}'
Request body required
Human-readable name of the client.
Array of allowed redirect URIs.
Grant types the client intends to use.
Response types the client intends to use.
Defaults to none if not specified. Only public clients are supported.
"none"Space-separated list of scopes the client is requesting.
URL of the client's home page.
URL of the client's logo image.
Responses
Client successfully registered.
Unique client identifier issued by the authorization server.
Human-readable name of the client.
Array of allowed redirect URIs.
Grant types the client is registered for.
Response types the client is registered for.
Space-separated list of scopes the client is registered for.
URL of the client's home page.
URL of the client's logo image.
Token for managing this client registration (RFC 7592).